We read every piece of feedback, and take your input very seriously.
To see all available qualifiers, see our documentation.
1 parent ca60fc2 commit ef3da5dCopy full SHA for ef3da5d
.travis.yml
@@ -0,0 +1,18 @@
1
+language: go
2
+
3
+go:
4
+ - master
5
6
+# whitelist
7
+branches:
8
+ only:
9
10
+ - stable
11
12
+script:
13
+ - go get -t -v ./...
14
+ - go vet ./...
15
+ - bash ./gotest.sh
16
17
+after_success:
18
+ - bash <(curl -s https://codecov.io/bash)
gotest.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+set -e
+echo "" > coverage.txt
+for d in $(go list ./Algorithms/... | grep -v vendor); do
+ echo $d
+ go test -coverprofile=profile.out -covermode=atomic $d
+ if [ -f profile.out ]; then
+ cat profile.out >> coverage.txt
+ rm profile.out
+ fi
+done
0 commit comments